Results 1 to 6 of 6

Thread: Package Manager Error

  1. #1
    Join Date
    Sep 2019
    Beans
    4

    Package Manager Error

    Hello I am getting the following error when running apt-get update:

    Code:
    E: Problem parsing dependency 21
    E: Error occurred while processing znc-perl (NewVersion2)
    E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_bionic-updates_universe_binary-i386_Packages
    E: The package lists or status file could not be parsed or opened.
    Any help would be appreciated.

    Thank you,

    Jason

  2. #2
    Join Date
    Jan 2010
    Location
    Wheeling WV USA
    Beans
    1,340
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Package Manager Error

    exactly what commands did you do to get this? did it include an update? please put the commands in code tags ending with [/code] and beginning with [code].
    What do you call someone who speaks three languages? Trilingual. Two languages? Bilingual. One language? American.

  3. #3
    Join Date
    Sep 2019
    Beans
    4

    Re: Package Manager Error

    Yeah I am not sure see below:

    Code:
    $ sudo apt-get update
    Hit:1 http://us.archive.ubuntu.com/ubuntu bionic InRelease
    Hit:2 http://archive.canonical.com/ubuntu bionic InRelease                     
    Get:3 http://security.ubuntu.com/ubuntu bionic-security InRelease [88.7 kB]    
    Get:4 http://us.archive.ubuntu.com/ubuntu bionic-updates InRelease [88.7 kB]   
    Get:5 http://us.archive.ubuntu.com/ubuntu bionic-backports InRelease [74.6 kB] 
    Fetched 252 kB in 1s (274 kB/s)                                       
    Reading package lists... Error!
    E: Problem parsing dependency 21
    E: Error occurred while processing znc-perl (NewVersion2)
    E: Problem with MergeList /var/lib/apt/lists/us.archive.ubuntu.com_ubuntu_dists_bionic-updates_universe_binary-i386_Packages
    E: The package lists or status file could not be parsed or opened.

  4. #4
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,379
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Package Manager Error

    perkanator; Hello -

    E: The package lists or status file could not be parsed or opened.
    MergeLists are a working tool of apt, part of the way it keeps track of which packages are in which repositories. It's the gears of a text-based database that apt relies upon. When corrupted, they can be safely deleted. Apt will recreate them during the next apt update.

    Try:
    Code:
    sudo rm -fr /var/lib/apt/lists
    sudo mkdir -pv /var/lib/apt/lists/partial
    sudo apt update
    my bit to try and help
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

  5. #5
    Join Date
    Sep 2019
    Beans
    4

    Re: Package Manager Error

    Bashing-om,

    That seemed to work, thanks!!!!

  6. #6
    Join Date
    Jul 2010
    Location
    ozarks, Arkansas, USA
    Beans
    13,379
    Distro
    Xubuntu 18.04 Bionic Beaver

    Re: Package Manager Error

    perkanator; Great

    happy trails to you
    THE current(cy) in Documentation:
    https://help.ubuntu.com/community/PopularPages

    Happy ubuntu'n !

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •